%define name SDL_net
%define version 1.2.5
%define release 2mdk
%define lib_name_orig lib%{name}
%define lib_major 1.2
%define lib_name %mklibname %name %{lib_major}

Summary: Simple DirectMedia Layer - network
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.libsdl.org/projects/SDL_net/
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	texinfo

%description
This is an example portable network library for use with SDL. Note that this
isn't necessarily how you would want to write a chat program, but it
demonstrates how to use the basic features of the network and GUI libraries.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Requires: libSDL-devel
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Provides: %{name}-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
aclocal
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README CHANGES
%{_includedir}/SDL/*
%{_libdir}/lib*.so
%{_libdir}/*a

%changelog
* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.5-2mdk
- drop Prefix tag
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- use %%configure macro in stead of %%configure2_5x or else target will be wrong

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- remove redundant requires and buildrequires
- mklibname macro
- new version

* Sat May 31 2003 Austin Acton <aacton@yorku.ca> 1.2.4-6mdk
- rebuild for rpm-4.2

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-4mdk
- Automated rebuild with gcc3.2

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-3mdk
- recompile against SDL which isn't dependant upon arts/esd

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-2mdk
- Automated rebuild in gcc3.1 environment

* Sun Apr 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- new version
- rebuild for new alsa

* Fri Feb  8 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.2.3-1mdk
- Version 1.2.3.
- Move aclocal and autoconf to prep stage.
- Call %%configure2_5x instead of %%configure.
- Call %%makeinstall_std instead of %%makeinstall.
- Requires: common-licenses
- add more docs

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-4mdk
- BuildRequires (Stefan sux)

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-3mdk
- BuildRequires

* Wed Dec 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-2mdk
- fix filelist
- fix Requires on -devel package
- Add Provides for Obsoletes (rpmlint)

* Fri Aug  3 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- new version

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.1-3mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.1-2mdk
- new lib policy

* Fri Sep 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-1mdk
- updated to version 1.1.1
- use of macros like %{_libdir} et al.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- automatically added BuildRequires

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-5mdk
- Use makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-4mdk
- Fix m4 macros with new libtoolize.
- Use configure macro.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Hakan Tandogan <hakan@iconsult.com> 

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

